> For the complete documentation index, see [llms.txt](https://docs.emsigner.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.emsigner.com/apis/api-reference/authentication/otp-login.md).

# OTP Login

## POST /api/Public/ValidateOTPLogin/ValidateCustomerLogin

> Validate customer login

```json
{"openapi":"3.0.1","info":{"title":"emSigner Core API","version":"v1"},"tags":[{"name":"ValidateOTPLogin"}],"servers":[{"url":"https://demoapi-core.emsigner.com","description":"Demo / Sandbox"},{"url":"{baseUrl}","description":"Custom environment","variables":{"baseUrl":{"default":"https://demoapi-core.emsigner.com","description":"Base URL of your emSigner environment (e.g. production or on-prem API host)"}}}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"JWT access token from POST /auth/token. Paste the token without the \"Bearer \" prefix.","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"emSignerCoreAPI.Shared.DTOs.ValidateOTPLoginRequestDto":{"required":["emailId","otp"],"type":"object","properties":{"emailId":{"maxLength":100,"minLength":0,"type":"string","format":"email"},"otp":{"maxLength":10,"minLength":4,"type":"string"},"browserInfo":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.BrowserInfo"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.BrowserInfo":{"type":"object","properties":{"browserName":{"type":"string","nullable":true},"browserVersion":{"type":"string","nullable":true},"osName":{"type":"string","nullable":true},"osVersion":{"type":"string","nullable":true},"device":{"type":"string","nullable":true},"ipAddress":{"type":"string","nullable":true},"timeZone":{"type":"string","nullable":true}},"additionalProperties":false},"emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"messages":{"type":"array","items":{"type":"string"},"nullable":true},"errorCode":{"type":"integer","format":"int32"},"errorKey":{"type":"string","nullable":true},"response":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto"}},"additionalProperties":false},"emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto":{"type":"object","properties":{"authToken":{"type":"string","nullable":true},"isPasswordUpdated":{"type":"boolean"},"isPasswordCompliant":{"type":"boolean"},"refreshToken":{"type":"string","nullable":true},"isValid":{"type":"boolean"},"isExpired":{"type":"boolean"},"themeColor":{"type":"string","nullable":true},"customvalue":{"type":"string","nullable":true},"companyLogo":{"type":"string","nullable":true},"last_Login_Date":{"type":"string","format":"date-time","nullable":true}},"additionalProperties":false}}},"paths":{"/api/Public/ValidateOTPLogin/ValidateCustomerLogin":{"post":{"tags":["ValidateOTPLogin"],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.Shared.DTOs.ValidateOTPLoginRequestDto"}}}},"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"429":{"description":"Too Many Requests","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/emSignerCoreAPI.ViewModels.ReturnObject`1[[emSignerCoreAPI.Shared.DTOs.SubscriberLoginResponseDto, emSignerCoreAPI, Version=3.0.5.1, Culture=neutral, PublicKeyToken=null]]"}}}}},"summary":"Validate customer login","operationId":"post_ValidateOTPLogin_ValidateCustomerLogin"}}}}
```
